%define debug_package	%{nil}

%define oname	elisa-plugins-bad

%define rel	1

%define svn	0
%define pre	0
%if %svn
%define release		%mkrel 0.%svn.%rel
%define distname	%name-%svn.tar.lzma
%define dirname		%oname
%else
%if %pre
%define release		%mkrel 0.%pre.%rel
%define distname	%name-%version.%pre.tar.gz
%define dirname		%oname-%version.%pre
%else
%define release		%mkrel %rel
%define distname	%name-%version.tar.gz
%define dirname		%oname-%version
%endif
%endif

# It's the same for releases, but different for pre-releases: please
# don't remove, even if it seems superfluous - AdamW 2008/03
%define fversion	%{version}

Summary:	'Bad' plugins for the Moovida media center
Name:		moovida-plugins-bad
Version:	1.0.9
Release:	%{release}
Source0:	http://www.moovida.com/media/public/%{distname}
Patch0:		elisa-plugins-bad-1.0.7-unneeded.patch
Patch1:		http://patch-tracking.debian.net/patch/series/dl/elisa-plugins-bad/0.5.28-1/40_use-system-coherence.patch
License:	GPLv3 and MIT
Group:		Development/Python
URL:		http://www.moovida.com/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	python
BuildRequires:	python-setuptools
BuildRequires:	python-devel
BuildRequires:	python-twisted
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
BuildRequires:	gstreamer0.10-python
BuildRequires:	moovida-core = %{version}
Requires:	moovida-plugins-good = %{version}
Requires:	python-cssutils
Requires:	python-coherence
Requires:	python-daap
Requires:	avahi-python
Requires:	python-simplejson
Requires:	python >= 2.6
Provides:	elisa-plugins-bad = %{version}-%{release}
Obsoletes:	elisa-plugins-bad < %{version}-%{release}

%description
Moovida is a project to create an open source cross platform media center 
solution. This package contains 'bad' (somehow not up to planned
standards for plugins) plugins for Moovida.

%prep
%setup -q -n %{dirname}
%patch0 -p1 -b .unneeded
%patch1 -p1 -b .sys_coherence

%build

%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot} --single-version-externally-managed --compile --optimize=2
rm -f %{buildroot}%{py_puresitedir}/elisa/plugins/__init__*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{py_puresitedir}/elisa/plugins/*
%{py_puresitedir}/elisa_plugin_*-py%{pyver}.egg-info
%{py_puresitedir}/elisa_plugin_*-py%{pyver}-nspkg.pth


%changelog
* Sat Sep 11 2010 pcserver <pcserver at hush.com> 1.0.9-1pclos2010
- update

